Forum

Page 1 of 2 12 LastLast
Results 1 to 15 of 19
  1. #1
    Join Date
    November 2013
    Posts
    13

    "Client is too old to connect to this server" 3.0.18

    So I updated my TS3 to the latest version now I cannot connect to the server using the iOS app.

    So...why release the update if you do not have the update for the app ready yet?

    When you attempt to connect to the server using the iOS app you receive the following message "Your client is too old to connect to this server. Please download a newer version from the App Store."

    This would not be a problem if the newer version existed.

    Any eta on this?

  2. #2
    Join Date
    October 2015
    Posts
    1

    "your client is to old to connect to that server" ???

    Hey helping a friend here with her IOS issues, our teamspeak server is currently running on Version:3.0.11.4 on Linux. and her client is running version 3.1.10 and she keeps getting this message. She was able to connect to another server running Version:3.0.11.4 on FreeBSD so we are confused as to why she is getting this message. She has fully updated her team speak and her ios to the most current versions and has tried a reinstall. anyone know whats up ?
    Last edited by dante696; October 13th, 2015 at 11:11 AM.

  3. #3
    Join Date
    June 2008
    Posts
    18,153
    Quote Originally Posted by Nekrage View Post
    So...why release the update if you do not have the update for the app ready yet?
    This needed to be done as quick as possible to fix a bad secureity issue for all pc users.

    An update is on the way!
    Apple takes up to 2 weeks to approve and release updates from us.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  4. #4
    Join Date
    December 2011
    Posts
    19
    So basically I can't use TeamSpeak for the next two weeks?

  5. #5
    Join Date
    October 2015
    Posts
    2
    I'm also having this problem and I need to use Teamspeak for Business, however the new update is preventing me from doing so..

    "Your client is too old to connect to this server. Please download a newer version from the App Store.


    Is there an estimated time on when the update will be rolled out or this will be fixed, if like stated above it can take up to 2 weeks, please point me in the right direction for requesting a Refund.

    The App is currently not usable and that's not what I paid for.

  6. #6
    Join Date
    October 2015
    Posts
    2

    Same issue

    Also having this issue, eta on when the update will be rolled out?

    If 2 weeks like stated above, please point me in the direction of requesting a refund.
    I paid for Teamspeak, this is currently a useless app.

  7. #7
    Join Date
    October 2015
    Posts
    3

    "Client is too old to connect to this server"

    This only happens when I try to join like a specific server, it was working fine yesterday but now I keep getting the error, I've uninstalled the app and everything, same error. Doesn't happen on other servers, just one in particular.

  8. #8
    Join Date
    October 2015
    Posts
    2

    iOS app unable to connect to any server client to old!

    As it states I can't connect to any server due to client to old on iOS
    Please update as I paid for the app and I'm not able to use it.

  9. #9
    Join Date
    October 2015
    Posts
    2
    What kind of bullshit is that?
    No update for 2 weeks on paid for application on iOS?
    It's totally unusable, what a failure on your end there's a reason your app is rated so low because you don't support it I understand most people use PCs but for people who are on the go the mobile app is much more efficient so why wouldnt you put the level of support into the mobile app and tap into the business world.
    I gave you a 1 star review for this crap

  10. #10
    Join Date
    November 2011
    Posts
    3
    It's only doing that for one server not all the rest...very odd but sucks that we have to wait two weeks

  11. #11
    Join Date
    September 2012
    Posts
    6,079
    The update has already been submitted to Apple. Apple being Apple however they need several days to approve the new version, this is not in our control and as such there is nothing we can do about the additional wait for iOS users unfortunately.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  12. #12
    Join Date
    October 2015
    Posts
    3
    Quote Originally Posted by Chris View Post
    The update has already been submitted to Apple. Apple being Apple however they need several days to approve the new version, this is not in our control and as such there is nothing we can do about the additional wait for iOS users unfortunately.
    Ok well thanks for the info

  13. #13
    Join Date
    October 2015
    Location
    Somewhere
    Posts
    1

    Two similar issues - need suggestions

    I recently bought TeamSpeak 3 on the iOS version for my smartphone, and it has been working fine up until a few days ago. Whenever I try to connect to a server, it states, "Your client is too old to connect to this server. Please download a newer version from the app store." I am puzzled to why it is asking for a newer version, because there are no available updates shown in the app store. I have restarted my phone, re-installed the app, but the problem still exists. I checked in with a few friends to see if they have the same problem, but apparently they do not. I am on iOS version 9.0.2, and I am on TeamSpeak version 3.1.10.689.

    I also have a very similar problem with my Mac OS X client, but my TeamSpeak version is at 3.0.16, so I am not as surprised with the issue. However, I don't understand why it would stop connecting so suddenly, because the server(s) I were able to join in before supported newer and older versions of my client. I do understand the suggestion to update my TeamSpeak, but my OS X client (being 10.6.8) does not allow further updates than my current version. Like the iOS, I have uninstalled the app and attempted to download the latest version, but my computer is unable to support that client. Whenever I try to open any newer client, it gives a message saying, "Check with the developer to make sure TeamSpeak 3 Client works for this version of Mac OS X…" My desktop is unable to update to any other version that 10.6.8, and I do NOT have enough money to just buy a new computer.

    If any suggestions to help resolve this issue are available, it would be greatly appreciated.
    Last edited by dante696; October 15th, 2015 at 07:25 AM. Reason: merged

  14. #14
    Join Date
    October 2015
    Posts
    3

    eta

    Any eta on this, been almost a week

  15. #15
    Join Date
    October 2015
    Posts
    2

    "Your client is too old to connect to this server"

    "Your client is too old to connect to this server. Please download a newer version from the App Store."
    Thats the message i get when im trying to connect to ts channels on my ipad.
    I have the latest version?
    Last edited by dante696; October 20th, 2015 at 07:21 AM. Reason: merged

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 1
    Last Post: August 29th, 2012, 12:12 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •